curl --request GET \
--url 'https://response.stateset.com/api/v1/conversations' \
--header "Authorization: Bearer $RESPONSECX_API_KEY"
{
"object": "list",
"data": [
{
"object": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"channel": "string",
"status": "pending",
"escalated": true,
"rating": "string",
"agent_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"subject": "Replacement tent pole set",
"tags": null,
"created_at": "2026-08-31T14:22:05Z",
"messages": []
}
],
"has_more": true,
"next_cursor": "string"
}
List recent customer conversations
Conversations
GET
/
api
/
v1
/
conversations
curl --request GET \
--url 'https://response.stateset.com/api/v1/conversations' \
--header "Authorization: Bearer $RESPONSECX_API_KEY"
{
"object": "list",
"data": [
{
"object": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"channel": "string",
"status": "pending",
"escalated": true,
"rating": "string",
"agent_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"subject": "Replacement tent pole set",
"tags": null,
"created_at": "2026-08-31T14:22:05Z",
"messages": []
}
],
"has_more": true,
"next_cursor": "string"
}
Query parameters
integer
integer
string
Opaque next_cursor from a previous page. Takes precedence over offset.
string
Filter by status, e.g. open, closed, reviewed.
string
Filter by channel.
string (uuid)
Filter to one agent.
string
Only escalated conversations.
Response
object
string
Conversation[]
boolean
string
Keyset cursor for the next page — present only on cursor-capable lists with more rows.
Status codes
| Code | Meaning |
|---|---|
200 | Conversations |
401 | Missing, invalid, or expired API key. |
403 | The key lacks a required scope. |
429 | Rate limit exceeded. |
Access
| Required scope | responses:read |
| Rate limit | 120 requests per minute |
curl --request GET \
--url 'https://response.stateset.com/api/v1/conversations' \
--header "Authorization: Bearer $RESPONSECX_API_KEY"
{
"object": "list",
"data": [
{
"object": "string",
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"channel": "string",
"status": "pending",
"escalated": true,
"rating": "string",
"agent_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"subject": "Replacement tent pole set",
"tags": null,
"created_at": "2026-08-31T14:22:05Z",
"messages": []
}
],
"has_more": true,
"next_cursor": "string"
}
Last modified on August 31, 2026